Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface ST1

All Superinterfaces:
  ANY, BIN1, ED, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ADXP, AdxpAdditionalLocator, AdxpBuildingNumberSuffix, AdxpCareOf, AdxpCensusTract, AdxpCity, AdxpCountry, AdxpCounty, AdxpDelimiter, AdxpDeliveryAddressLine, AdxpDeliveryInstallationArea, AdxpDeliveryInstallationQualifier, AdxpDeliveryInstallationType, AdxpDeliveryMode, AdxpDeliveryModeIdentifier, AdxpDirection, AdxpHouseNumber, AdxpHouseNumberNumeric, AdxpPostalCode, AdxpPostBox, AdxpPrecinct, AdxpState, AdxpStreetAddressLine, AdxpStreetName, AdxpStreetNameBase, AdxpStreetNameType, AdxpUnitID, AdxpUnitType, EnDelimiter, EnFamily, EnGiven, EnPrefix, EnSuffix, ENXP, SC

All Known Implementing Classes:
  AdxpAdditionalLocatorImpl, AdxpBuildingNumberSuffixImpl, AdxpCareOfImpl, AdxpCensusTractImpl, AdxpCityImpl, AdxpCountryImpl, AdxpCountyImpl, AdxpDelimiterImpl, AdxpDeliveryAddressLineImpl, AdxpDeliveryInstallationAreaImpl, AdxpDeliveryInstallationQualifierImpl, AdxpDeliveryInstallationTypeImpl, AdxpDeliveryModeIdentifierImpl, AdxpDeliveryModeImpl, AdxpDirectionImpl, AdxpHouseNumberImpl, AdxpHouseNumberNumericImpl, ADXPImpl, AdxpPostalCodeImpl, AdxpPostBoxImpl, AdxpPrecinctImpl, AdxpStateImpl, AdxpStreetAddressLineImpl, AdxpStreetNameBaseImpl, AdxpStreetNameImpl, AdxpStreetNameTypeImpl, AdxpUnitIDImpl, AdxpUnitTypeImpl, EnDelimiterImpl, EnFamilyImpl, EnGivenImpl, EnPrefixImpl, EnSuffixImpl, ENXPImpl, SCImpl, ST1Impl

    public interface ST1

extends ED

A representation of the model object 'ST1'. The character string data type stands for text data, primarily intended for machine processing (e.g., sorting, querying, indexing, etc.) Used for names, symbols, and formal expressions.

See Also:
  `CDAR2Package.getST1()`

Method Summary

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ED
`getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getMixed, getReference, getThumbnail, isSetCompression, isSetIntegrityCheckAlgorithm, isSetMediaType, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail, unsetCompression, unsetIntegrityCheckAlgorithm, unsetMediaType`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.BIN1
`getRepresentation, isSetRepresentation, setRepresentation, unsetRepresentation`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD